package br.uem.din.architectureEvolution.representation;

import com.sdmetrics.model.ModelElement;

public class Attribute extends Element {

	private String type;
	public Attribute(ModelElement element, Architecture architecture) throws Exception{
		this.setModelElement(element, architecture);
	}

	@Override
	protected void loadFields() {		
		ModelElement attributeType = getModelElement().getRefAttribute("attributetype");
		if (attributeType != null)
			setType(attributeType.getName());
	}

	public String getType() {
		return type;
	}

	private void setType(String type) {
		this.type = type;
	}
}
